package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingItemdiscountRemoveitemRequest struct {
	/*
	   商品对象     */
	Param0 *domain.AlibabaWdkMarketingItemdiscountRemoveitemItemDiscountSku `json:"param0" required:"true" `
	/*
	   活动基本信息     */
	Param1 *domain.AlibabaWdkMarketingItemdiscountRemoveitemCommonActivityParam `json:"param1" required:"true" `
}

func (s *AlibabaWdkMarketingItemdiscountRemoveitemRequest) SetParam0(v domain.AlibabaWdkMarketingItemdiscountRemoveitemItemDiscountSku) *AlibabaWdkMarketingItemdiscountRemoveitemRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountRemoveitemRequest) SetParam1(v domain.AlibabaWdkMarketingItemdiscountRemoveitemCommonActivityParam) *AlibabaWdkMarketingItemdiscountRemoveitemRequest {
	s.Param1 = &v
	return s
}

func (req *AlibabaWdkMarketingItemdiscountRemoveitemRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingItemdiscountRemoveitemRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
